//
//  White_Detector_GridPlugIn.h
//  White Detector Grid
//
//  Created by David Langford on 1/05/09.
//  Copyright (c) 2009 Sentient Worlds. All rights reserved.
//

#import <Quartz/Quartz.h>
#include <Accelerate/Accelerate.h>

@interface White_Detector_GridPlugIn : QCPlugIn
{
	
}

// inputs
@property (assign) id <QCPlugInInputImageSource> inputImage;
@property (assign) double inputNumberOfColumns;
@property (assign) double inputNumberOfRows;
@property (assign) double inputWidthInPercent;
@property (assign) double inputHeightInPercent;
@property (assign) double inputXOriginInPercent;
@property (assign) double inputYOriginInPercent;

// outputs
@property (assign) NSArray* outputArray;
@end
